package com.bonus.canteen.core.auth.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("角色分页")
public class MgrUserRolePageVO {
   @ApiModelProperty("用户id")
   private Long userId;
   @ApiModelProperty("角色id")
   private Long roleId;
   @ApiModelProperty("角色名称")
   private String roleName;
   @ApiModelProperty("角色标识")
   private String roleCode;
   @ApiModelProperty("描述")
   private String roleDesc;

   public Long getUserId() {
      return this.userId;
   }

   public Long getRoleId() {
      return this.roleId;
   }

   public String getRoleName() {
      return this.roleName;
   }

   public String getRoleCode() {
      return this.roleCode;
   }

   public String getRoleDesc() {
      return this.roleDesc;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setRoleId(final Long roleId) {
      this.roleId = roleId;
   }

   public void setRoleName(final String roleName) {
      this.roleName = roleName;
   }

   public void setRoleCode(final String roleCode) {
      this.roleCode = roleCode;
   }

   public void setRoleDesc(final String roleDesc) {
      this.roleDesc = roleDesc;
   }

   public String toString() {
      Long var10000 = this.getUserId();
      return "MgrUserRolePageVO(userId=" + var10000 + ", roleId=" + this.getRoleId() + ", roleName=" + this.getRoleName() + ", roleCode=" + this.getRoleCode() + ", roleDesc=" + this.getRoleDesc() + ")";
   }
}
